# Method: projects.locations.networkPolicies.fetchExternalAddresses

- [HTTP request](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.request_body)
- [Response body](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.FetchNetworkPolicyExternalAddressesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#body.aspect)

Lists external IP addresses assigned to VMware workload VMs within the scope of the given network policy.

### HTTP request

`GET https://vmwareengine.googleapis.com/v1/{networkPolicy=projects/*/locations/*/networkPolicies/*}:fetchExternalAddresses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `networkPolicy` | `string` Required. The resource name of the network policy to query for assigned external IP addresses. Resource names are schemeless URIs that follow the conventions in <https://cloud.google.com/apis/design/resource_names>. For example: `projects/my-project/locations/us-central1/networkPolicies/my-policy` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `networkPolicy`: - `vmwareengine.networkPolicies.fetchExternalAddresses` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of external IP addresses to return in one page. The service may return fewer than this value. The maximum value is coerced to 1000. The default value of this field is 500. |
| `pageToken` | `string` A page token, received from a previous `networkPolicies.fetchExternalAddresses` call. Provide this to retrieve the subsequent page. When paginating, all parameters provided to `networkPolicies.fetchExternalAddresses`, except for `pageSize` and `pageToken`, must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.networkPolicies/fetchExternalAddresses#google.cloud.vmwareengine.v1.VmwareEngine.FetchNetworkPolicyExternalAddresses`

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "externalAddresses": [ { object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds.externalAddresses#ExternalAddress`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `externalAddresses[]` | ``object (`https://docs.cloud.google.com/vmware-engine/docs/public/reference/rest/v1/projects.locations.privateClouds.externalAddresses#ExternalAddress`)`` A list of external IP addresses assigned to VMware workload VMs within the scope of the given network policy. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).